## keystone 11.0.3

=== debian/changelog ===
keystone (2:11.0.3-2) unstable; urgency=medium

  * Fix patches after merge from another repository

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 09 Jul 2018 13:57:12 +0200

keystone (2:11.0.3-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Sat, 04 Nov  2017 12:58:32 +0200

keystone (2:10.0.0~b2-2) UNRELEASED; urgency=medium

  * CVE-2017-2673 (OSSA-2017-004): Incorrect role assignment with federated
    Keystone. Applied upstream patch: Do not fetch group assignments without
    groups (Closes: #861189).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Apr 2017 22:29:13 +0200
