=== debian/changelog ===
keystone (2:11.0.4-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New stable point release for OpenStack Ocata (LP: #1795428).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 01 Oct 2018 21:24:40 -0400

keystone (2:11.0.3-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 27 Sep 2017 14:16:20 +0000

keystone (2:11.0.3-0ubuntu1) zesty; urgency=medium

  * d/p/*: Rebased.
  * New upstream version.
  * d/p/0001-Make-flushing-tokens-more-robust.patch: Dropped. Fixed upstream.
  * New stable point release for OpenStack Ocata (LP: #1718730).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Sep 2017 13:41:56 -0400

keystone (2:11.0.2-0ubuntu1) zesty; urgency=medium

  [ Jorge Niedbalski ]
  * d/p/0001-Make-flushing-tokens-more-robust.patch: Commit token flushes
    between batches in order to lower resource consumption and
    make flushing more robust for replication (LP: #1649616).

  [ James Page ]
  * New upstream stable release for OpenStack Ocata (LP: #1696139).

 -- James Page <james.page@ubuntu.com>  Wed, 07 Jun 2017 16:01:45 +0100
