=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
Build-Depends: apache2-dev,
               debhelper (>= 9),
               dh-apache2,
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 2.3.4),
                     python-bashate (>= 0.2),
                     python-coverage (>= 4.0),
                     python-cryptography (>= 1.0),
                     python-dogpile.cache (>= 0.6.2),
                     python-fixtures (>= 3.0.0),
                     python-freezegun (>= 0.3.6),
                     python-hacking (>= 0.10.0),
                     python-jsonschema (>= 2.0.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-ldap,
                     python-ldappool,
                     python-memcache,
                     python-pymongo,
                     python-lxml (>= 2.3),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 2.0),
                     python-msgpack (>= 0.4.0),
                     python-oauthlib (>= 0.6),
                     python-os-api-ref (>= 1.0.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-passlib (>= 1.7.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pep8,
                     python-pycadf (>= 1.1.0),
                     python-pymysql,
                     python-pysaml2 (>= 2.4.0),
                     python-requests (>= 2.10.0),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-tempest (>= 1:12.1.0),
                     python-testrepository (>= 0.0.18),
                     python-testresources,
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.6.0),
                     python-webtest (>= 2.0),
Standards-Version: 3.9.6
XS-Python-Version: >= 2.6
Homepage: http://launchpad.net/keystone
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
XS-Testsuite: autopkgtest

Package: python-keystone
Architecture: all
Section: python
Depends: python-babel (>= 2.3.4),
         python-cryptography (>= 1.0),
         python-dogpile.cache (>= 0.6.2),
         python-jsonschema (>= 2.0.0),
         python-keystoneclient (>= 1:3.8.0),
         python-keystonemiddleware (>= 4.2.0),
         python-migrate (>= 0.9.6),
         python-msgpack (>= 0.4.0),
         python-oauthlib (>= 0.6),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.11.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.16.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-osprofiler (>= 1.4.0),
         python-passlib (>= 1.7.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-pycadf (>= 1.1.0),
         python-pymysql,
         python-pysaml2 (>= 2.4.0),
         python-routes (>= 2.2),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.17.1),
         python-webob (>= 1.6.0),
         ${misc:Depends},
         ${python:Depends}
Suggests: python-ldappool (>= 2.0.0),
          python-memcache,
          python-pyldap (>= 2.4.20),
Provides: ${python:Provides},
XB-Python-Version: ${python:Versions}
Description: OpenStack identity service - Python library
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the Python libraries.

Package: keystone
Architecture: all
Section: python
Depends: adduser,
         apache2 | httpd,
         libapache2-mod-wsgi,
         python-keystone (= ${source:Version}),
         ssl-cert (>= 1.0.12),
         ${misc:Depends},
         ${python:Depends}
Recommends: ${misc:Recommends},
Description: OpenStack identity service - Daemons
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends},
Description: OpenStack identity service - Documentation
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the documentation.
