## keystone 12.0.0

=== debian/changelog ===
keystone (2:12.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:29:33 -0400

keystone (2:12.0.0~rc2-0ubuntu2) artful; urgency=medium

  * d/keystone.postinst: Drop db sync (LP: #1713059).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Aug 2017 11:21:44 -0400

keystone (2:12.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Aug 2017 09:19:48 -0400

keystone (2:12.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 17:08:28 -0400

keystone (2:12.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:38 -0400

keystone (2:12.0.0~b3-0ubuntu1) artful; urgency=medium

  * d/control: Drop python-oslosphinx and add python-openstackdocstheme.
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/p/update-babel-requirement.txt: Allow Babel==2.4.0. The patch that
    allows both dash and underscore separated locale identifiers in
    profiles has been cherry-picked to the 2.4.0 package version in
    Ubuntu, therefore it no longer needs to be blacklisted.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 15:17:44 -0400

keystone (2:12.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.
  * d/control: Bump minimum migration version to 0.11.0.
  * d/rules,control,keystone.conf.dist: Refactor defaults management
    to use crudini.
  * d/control: Add bcrypt and scrypt dependencies.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Refresh
  * d/control: Bumped Standards-Version to 3.9.8, no changes.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:07:59 +0100

keystone (2:12.0.0~b1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:06:01 +0100

keystone (2:12.0.0~b1-0ubuntu1) artful; urgency=medium

  [ Corey Bryant ]
  * d/keystone.conf: Fix typo in combined log format (LP: #1671509).

  [ Chuck Short ]
  * d/rules: Cleanup a bit:
    + Remove deprectated get-orig-source.
    + Remove patching configuration files while running tests.
    + Use pkgos-fix-config-default to configure keystone.conf
  * d/patches/sql-connection.patch: Dropped no longer needed.
  * d/patches/ubuntu-test-overrides.patch: Dropped no longer needed.
  * d/patches/default-log-dir.patch: Dropped no longer needed.
  * d/patches/add-version-info.patch: Refreshed.

  [ James Page ]
  * Align (Build-)Depends with upstream milestone.
  * d/rules,keystone.install: Generate and install default policy.
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 11:38:52 +0100
