=== debian/control ===
--- 
+++ 
@@ -10,13 +10,15 @@
                dh-systemd,
                openstack-pkg-tools (>= 23~),
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
-Build-Depends-Indep: python-babel (>= 2.3.4),
+               python-sphinx (>= 1.5.1),
+Build-Depends-Indep: crudini,
+                     python-babel (>= 2.3.4),
                      python-bashate (>= 0.2),
+                     python-bcrypt (>= 3.1.3),
                      python-coverage (>= 4.0),
-                     python-cryptography (>= 1.0),
+                     python-cryptography (>= 1.6),
                      python-dogpile.cache (>= 0.6.2),
                      python-fixtures (>= 3.0.0),
                      python-freezegun (>= 0.3.6),
@@ -26,28 +28,27 @@
                      python-keystonemiddleware (>= 4.12.0),
                      python-ldap,
                      python-ldappool,
+                     python-lxml (>= 2.3),
                      python-memcache,
-                     python-pymongo,
-                     python-lxml (>= 2.3),
-                     python-migrate (>= 0.9.6),
+                     python-migrate (>= 0.11.0),
                      python-mock (>= 2.0),
                      python-msgpack (>= 0.4.0),
                      python-oauthlib (>= 0.6),
+                     python-openstackdocstheme (>= 1.16.0),
                      python-os-api-ref (>= 1.0.0),
                      python-os-testr (>= 0.8.0),
                      python-oslo.cache (>= 1.5.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslo.context (>= 2.9.0),
-                     python-oslo.db (>= 4.15.0),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.context (>= 2.14.0),
+                     python-oslo.db (>= 4.24.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.11.0),
-                     python-oslo.messaging (>= 5.14.0),
-                     python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 1.17.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.messaging (>= 5.25.0),
+                     python-oslo.middleware (>= 3.27.0),
+                     python-oslo.policy (>= 1.23.0),
                      python-oslo.serialization (>= 1.10.0),
-                     python-oslo.utils (>= 3.18.0),
-                     python-oslosphinx (>= 4.7.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslotest (>= 1.10.0),
                      python-osprofiler (>= 1.4.0),
                      python-passlib (>= 1.7.0),
@@ -55,20 +56,23 @@
                      python-pastedeploy (>= 1.5.0),
                      python-pep8,
                      python-pycadf (>= 1.1.0),
+                     python-pymongo,
                      python-pymysql,
                      python-pysaml2 (>= 2.4.0),
-                     python-requests (>= 2.10.0),
-                     python-routes (>= 1.12.3),
+                     python-requests (>= 2.14.2),
+                     python-routes (>= 2.3.1),
+                     python-scrypt (>= 0.8.0),
                      python-six (>= 1.9.0),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.17.1),
-                     python-tempest (>= 1:12.1.0),
+                     python-stevedore (>= 1.20.0),
+                     python-tempest (>= 1:16.1.0),
                      python-testrepository (>= 0.0.18),
                      python-testresources,
                      python-testtools (>= 1.4.0),
-                     python-webob (>= 1.6.0),
+                     python-tz (>= 2013.6),
+                     python-webob (>= 1.7.1),
                      python-webtest (>= 2.0),
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 XS-Python-Version: >= 2.6
 Homepage: http://launchpad.net/keystone
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
@@ -79,41 +83,44 @@
 Architecture: all
 Section: python
 Depends: python-babel (>= 2.3.4),
-         python-cryptography (>= 1.0),
+         python-bcrypt (>= 3.1.3),
+         python-cryptography (>= 1.6),
          python-dogpile.cache (>= 0.6.2),
          python-jsonschema (>= 2.0.0),
          python-keystoneclient (>= 1:3.8.0),
          python-keystonemiddleware (>= 4.2.0),
-         python-migrate (>= 0.9.6),
+         python-migrate (>= 0.11.0),
          python-msgpack (>= 0.4.0),
          python-oauthlib (>= 0.6),
          python-oslo.cache (>= 1.5.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.14.0),
-         python-oslo.context (>= 2.9.0),
-         python-oslo.db (>= 4.11.0),
+         python-oslo.config (>= 1:4.0.0),
+         python-oslo.context (>= 2.14.0),
+         python-oslo.db (>= 4.24.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 3.16.0),
-         python-oslo.messaging (>= 5.14.0),
-         python-oslo.middleware (>= 3.0.0),
-         python-oslo.policy (>= 1.17.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.messaging (>= 5.25.0),
+         python-oslo.middleware (>= 3.27.0),
+         python-oslo.policy (>= 1.23.0),
          python-oslo.serialization (>= 1.10.0),
-         python-oslo.utils (>= 3.18.0),
+         python-oslo.utils (>= 3.20.0),
          python-osprofiler (>= 1.4.0),
          python-passlib (>= 1.7.0),
          python-paste,
          python-pastedeploy (>= 1.5.0),
-         python-pbr (>= 1.8),
+         python-pbr (>= 2.0.0),
          python-pycadf (>= 1.1.0),
          python-pymysql,
          python-pysaml2 (>= 2.4.0),
-         python-routes (>= 2.2),
+         python-routes (>= 2.3.1),
+         python-scrypt (>= 0.8.0),
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.17.1),
-         python-webob (>= 1.6.0),
+         python-stevedore (>= 1.20.0),
+         python-tz (>= 2013.6),
+         python-webob (>= 1.7.1),
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Suggests: python-ldappool (>= 2.0.0),
           python-memcache,
           python-pyldap (>= 2.4.20),
@@ -140,7 +147,7 @@
          python-keystone (= ${source:Version}),
          ssl-cert (>= 1.0.12),
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Recommends: ${misc:Recommends},
 Description: OpenStack identity service - Daemons
  Keystone is a proposed independent authentication service for OpenStack.
