=== debian/rules ===
--- 
+++ 
@@ -12,17 +12,15 @@
 
 # auth_token middleware now requires access to HOME, otherwise
 # test suite cause FTBFS.  See (LP: #1031022)
-export HOME="$(CURDIR)/debian/tests/"
+#export HOME="$(CURDIR)/debian/tests/"
 
 %:
 	dh $@ --with apache2,python2,systemd
 
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
-	patch -p1 -R < debian/patches/sql_connection.patch
 	mkdir -p $(CURDIR)/keystone/tests/tmp
 	ostestr
-	patch -p1 < debian/patches/sql_connection.patch
 endif
 
 override_dh_auto_build:
@@ -35,13 +33,13 @@
 endif
 
 override_dh_install:
-	dh_install --fail-missing -Xusr/etc
-	rm -rf debian/python-keystone/usr/lib/python*/*/doc
-	rm -rf debian/python-keystone/usr/lib/python*/*/tools
-	rm -rf debian/python-keystone/usr/lib/python*/*/examples
+	dh_install --fail-missing
 	install -D -m 0600 $(CURDIR)/etc/logging.conf.sample  $(CURDIR)/debian/keystone/etc/keystone/logging.conf
-	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=config-generator/keystone.conf
-	install -D -m 0600 $(CURDIR)/etc/keystone.conf.sample  $(CURDIR)/debian/keystone/etc/keystone/keystone.conf
+	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=config-generator/keystone.conf \
+		--output-file=$(CURDIR)/debian/keystone/etc/keystone/keystone.conf
+	PYTHONPATH=$(CURDIR) oslopolicy-sample-generator --config-file=config-generator/keystone-policy-generator.conf \
+		--output-file=$(CURDIR)/debian/keystone/etc/keystone/keystone.policy.yaml
+	crudini --merge $(CURDIR)/debian/keystone/etc/keystone/keystone.conf < $(CURDIR)/debian/keystone.conf.dist
 
 override_dh_clean:
 	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
@@ -59,6 +57,3 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -rf .eggs .testrepository
-
-get-orig-source:
-	uscan --verbose --force-download --rename --destdir=../build-area
