=== debian/changelog ===
keystone (2:12.0.2-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New stable point release for OpenStack Pike (LP: #1806041).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 30 Nov 2018 10:08:30 -0500

keystone (2:12.0.1-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * d/gbp.conf: Create stable/pike branch.
  * New stable point release for OpenStack Pike (LP: #1795427).
  * d/rules: Set PYTHONPATH=$(CURDIR) for unit test execution. Otherwise
    the newly added test_policy_generator_from_command_line fails because
    oslopolicy-policy-generator can't find the keystone namespace.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 02 Oct 2018 08:45:15 -0400

keystone (2:12.0.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 30 Aug 2017 14:16:41 +0000
