=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	mkdir -p $(CURDIR)/keystone/tests/tmp
-	ostestr
+	PYTHONPATH=$(CURDIR) ostestr
 endif
 
 override_dh_auto_build:
