=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# required to build documentation
openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,>=1.6.2 # BSD
reno>=2.5.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
os-api-ref>=1.4.0 # Apache-2.0
testtools>=2.2.0 # MIT
WebTest>=2.0.27 # MIT
mock>=2.0.0 # BSD
freezegun>=0.3.6 # Apache-2.0
flake8-docstrings==0.2.1.post1 # MIT
oslotest>=3.2.0 # Apache-2.0
oslo.db[fixtures,mysql,postgresql]>=4.27.0 # Apache-2.0
lxml!=3.7.0,>=3.4.1 # BSD
pyldap>=2.4.20 # PSF
ldappool>=2.0.0 # MPL
