=== debian/changelog ===
keystone (2:13.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 14:24:54 -0500

keystone (2:13.0.0~rc2-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Feb 2018 16:07:25 -0500

keystone (2:13.0.0~rc1-0ubuntu1) bionic; urgency=medium

  [ Corey Bryant ]
  * d/keystone.conf: Drop admin port (35357) from site config as ports 35357
    and 5000 lead to the same authentication code path with keystone v3.

  [ James Page ]
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to python3-sphinx.
  * d/p/*: Refresh.
  * d/p/msgpack-python-compat.patch,drop-msgpack-from-requirements.patch:
    Revert to use of msgpack-python module name until transition to
    msgpack is underway.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Feb 2018 10:11:45 +0000

keystone (2:13.0.0~b3-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-msgpack-from-requirements.patch: Added patch to prevent
    pkg_resources.DistributionNotFound error.
  * d/rules: Set PYTHONPATH to pick up keystone modules when running tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 09:53:46 -0500

keystone (2:13.0.0~b2-0ubuntu1) bionic; urgency=medium

  * d/watch: Scope to 13.x series.
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control,compat: Bump debhelper compat to 10, drop BD on dh-
    systemd.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 12:08:31 +0000

keystone (2:13.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Drop, no longer needed.
  * d/keystone.install: Install files from python data_files locations.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Nov 2017 08:26:59 +0000
