=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,8 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 override_dh_auto_test:
 	mkdir -p $(CURDIR)/keystone/tests/tmp
-	PYTHONPATH=$(CURDIR) ostestr
+	stestr init
+	PYTHONPATH=$(CURDIR) stestr run
 endif
 
 override_dh_auto_build:
