## keystone 13.0.2

=== debian/changelog ===
keystone (2:13.0.2-0ubuntu3) bionic; urgency=medium

  * d/p/0002-fixing-dn-to-id.patch: Dropped. This patch shouldn't have
    been backported to stable/queens (LP: #1850634).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Oct 2019 08:55:58 -0400

keystone (2:13.0.2-0ubuntu2) bionic; urgency=medium

  * d/p/000*-fixing-dn-to-id.patch: Fix LDAP backend's dn_to_id function
    for cases were id is not in the DN (LP: #1782922).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Sep 2019 11:21:54 +0200

keystone (2:13.0.2-0ubuntu1) bionic; urgency=medium

  * New stable point release for OpenStack Queens (LP: #1806043).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 03 Dec 2018 09:16:03 -0500

keystone (2:13.0.1-0ubuntu1) bionic; urgency=medium

  * d/gbp.conf: Create stable/queens branch.
  * New stable point release for OpenStack Queens (LP: #1795424).
  * d/p/msgpack-python-compat.patch: Dropped as package has since been renamed
    to python-msgpack instead of msgpack-python.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 01 Oct 2018 11:39:45 -0400
